### Method

# Gtk Snapshot rotate_3d

#### Declaration [src]

    void
    gtk_snapshot_rotate_3d (
      GtkSnapshot* snapshot,
      float angle,
      const graphene_vec3_t* axis
    )

#### Description [src]

Rotates `snapshot`‘s coordinate system by `angle` degrees around `axis`.

For a rotation in 2D space, use gsk_transform_rotate().

#### Parameters

`angle` | `float`
| The rotation angle, in degrees (clockwise).
`axis` | `const graphene_vec3_t*`
| The rotation axis.
| The data is owned by the caller of the function.